---
- name: Configure kernel
  hosts: all

  tasks:
    - name: Disable IPv6
      copy:
        dest: /etc/sysctl.d/10-ipv6.conf
        content: >
          net.ipv6.conf.all.disable_ipv6 = 1
          net.ipv6.conf.default.disable_ipv6 = 1
      notify: Reboot machine

  handlers:
    - name: Reboot machine
      command: /usr/sbin/reboot
